# == Schema Information
#
# Table name: batch_runs
#
#  id         :bigint           not null, primary key
#  run_key    :string(4000)
#  created_at :datetime         not null
#  updated_at :datetime         not null
#  batch_id   :bigint           not null
#
# Indexes
#
#  index_batch_runs_on_batch_id  (batch_id)
#  index_batch_runs_on_run_key   (run_key) UNIQUE
#
# Foreign Keys
#
#  fk_rails_...  (batch_id => batches.id) ON DELETE => cascade
#
class BatchRun < ApplicationRecord
  belongs_to :batch
  has_many :batch_run_data
end
