# -*- SkipSchemaAnnotations

module MachineTypes
  module BoxCoaters
    class Mc380X2 < BoxCoater
      class << self
        def seed_version
          1
        end

        def display_name
          "MC-380-X-2"
        end

        def name
          "mc_380_x_2"
        end

        def image_name
          'mc_380_x_2.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end
      end
    end
  end
end

