# -*- SkipSchemaAnnotations

module MachineTypes
  module Deblockers
    class ArtDeblockerM < Deblocker
      class << self
        def seed_version
          1
        end

        def display_name
          "ART-Deblocker-M"
        end

        def name
          "art_deblocker_m"
        end

        def image_name
          'art_deblocker_m.png'
        end

        def interfaces
          {
            machine_state: false,
            job_state: false,
            error: false,
            maintenance: false,
            process_data: false,
            event: false,
            calibration: false
          }
        end
      end
    end
  end
end

