json.resourceStatusHistoryList do
  json.array! @data do |machine, machine_states|
    json.sn machine.sn
    json.name machine.name
    json.description machine.description
    json.statusList do
      json.cache_collection! machine_states do |state|
        json.date state.date_str
        json.time state.time_str
        json.state state.state.upcase
        json.comment state.comment
        json.addon state.addon
      end
    end
  end
end
json.nextOffset @machine_states.klass.next_offset(query: @machine_states, limit: @limit, offset: @offset)
