class CapabilityGroupsController < ApplicationController
  wrap_parameters :capability_group, include: [:name]

  model_data_store(CapabilityGroup)

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:capability_group).permit(:name)
  end
end
