# -*- SkipSchemaAnnotations

module MachineTypes
  module Polishers
    class ToroFlex < Polisher
      class << self
        def seed_version
          1
        end

        def display_name
          "Toro-FLEX"
        end

        def name
          "toro_flex"
        end

        def image_name
          "toro_flex.png"
        end

        def interfaces
          {
            machine_state: false,
            job_state: false,
            error: false,
            maintenance: false,
            process_data: false,
            event: false,
            calibration: false
          }
        end
      end
    end
  end
end

