class CreateMachineStates < ActiveRecord::Migration[6.0]
  def change
    create_table :machine_states do |t|
      t.string :machine_sn
      t.integer :state, default: 0
      t.datetime :time

      t.timestamps
    end
    add_foreign_key :machine_states, :machines, column: "machine_sn", primary_key: "sn", on_delete: :cascade
    add_index :machine_states, :machine_sn
  end
end
4
