class CreateMaintenances < ActiveRecord::Migration[6.0]
  def change
    create_table :maintenances do |t|
      t.string :maintenance
      t.integer :maintenance_type
      t.integer :status
      t.datetime :time
      t.string :machine_sn

      t.timestamps
    end
    add_foreign_key :maintenances, :machines, column: "machine_sn", primary_key: "sn", on_delete: :cascade
    add_index :maintenances, :machine_sn
  end
end
