class CreateBlockPickings < ActiveRecord::Migration[6.1]
  def change
    create_table :block_pickings do |t|
      t.string :name
      t.string :ip_address
      t.integer :port
      t.string :device_type
      t.string :scan
      t.integer :block_count, default: 0
      t.boolean :hide_block_count, default: false
      t.boolean :send_job_states, default: false
      t.boolean :use_scan_count, default: false
      t.boolean :hide_tray_number, default: false
      t.boolean :hide_job_number, default: false

      t.timestamps
    end
  end
end
