class CreateBoxCoaterEvents < ActiveRecord::Migration[6.1]
  def change
    create_table :box_coater_events do |t|
      t.belongs_to :machine, null: false, foreign_key: {on_delete: :cascade}
      t.datetime :time, null: false
      t.integer :event_type, null: false
      t.string :recipe
      t.string :operator_note
      t.string :reporting_category
      t.decimal :duration, :precision => 10, :scale => 3
      t.timestamps
    end
  end
end
